CVE-2004-1004
CVSS7.5
发布时间 :2005-04-14 00:00:00
修订时间 :2008-09-10 15:28:34
NMCOPS    

[原文]Multiple format string vulnerabilities in Midnight Commander (mc) 4.5.55 and earlier allow remote attackers to have an unknown impact.


[CNNVD]Midnight Commander多个格式化字符串漏洞(CNNVD-200504-061)

        Midnight Commander 是 Unix系统上流行的文件管理工具,类似MS-DOS里的PcTools。
        Midnight Commander (mc) 4.5.55及更早版本存在多个格式化字符串漏洞,远程攻击者可以借此制造未知的影响。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:redhat:enterprise_linux:2.1::workstation_ia64
cpe:/o:turbolinux:turbolinux_server:7.0
cpe:/o:debian:debian_linux:3.0::mips
cpe:/o:debian:debian_linux:3.0::ia-32
cpe:/o:redhat:enterprise_linux:2.1::advanced_server
cpe:/o:suse:suse_linux:8.1SuSE SuSE Linux 8.1
cpe:/o:debian:debian_linux:3.0::s-390
cpe:/o:debian:debian_linux:3.0::alpha
cpe:/o:turbolinux:turbolinux_workstation:7.0
cpe:/o:suse:suse_linux:9.2SuSE SuSE Linux 9.2
cpe:/o:debian:debian_linux:3.0::arm
cpe:/o:redhat:linux_advanced_workstation:2.1::itanium_processor
cpe:/a:midnight_commander:midnight_commander:4.5.48
cpe:/a:midnight_commander:midnight_commander:4.5.52
cpe:/a:midnight_commander:midnight_commander:4.5.45
cpe:/o:gentoo:linuxGentoo Linux
cpe:/o:suse:suse_linux:9.1SuSE SuSE Linux 9.1
cpe:/o:debian:debian_linux:3.0::mipsel
cpe:/a:midnight_commander:midnight_commander:4.6
cpe:/a:midnight_commander:midnight_commander:4.5.54
cpe:/o:debian:debian_linux:3.0::ppc
cpe:/o:debian:debian_linux:3.0Debian Debian Linux 3.0
cpe:/o:redhat:linux_advanced_workstation:2.1::ia64
cpe:/a:midnight_commander:midnight_commander:4.5.50
cpe:/a:midnight_commander:midnight_commander:4.5.40
cpe:/o:debian:debian_linux:3.0::hppa
cpe:/o:redhat:enterprise_linux:2.1::advanced_server_ia64
cpe:/o:redhat:enterprise_linux:2.1::workstation
cpe:/a:midnight_commander:midnight_commander:4.5.46
cpe:/a:midnight_commander:midnight_commander:4.5.43
cpe:/a:midnight_commander:midnight_commander:4.5.42
cpe:/o:debian:debian_linux:3.0::m68k
cpe:/o:suse:suse_linux:9.0::x86_64
cpe:/o:suse:suse_linux:8.0SuSE SuSE Linux 8.0
cpe:/a:midnight_commander:midnight_commander:4.5.55
cpe:/a:midnight_commander:midnight_commander:4.5.51
cpe:/o:debian:debian_linux:3.0::ia-64
cpe:/o:turbolinux:turbolinux_workstation:8.0
cpe:/a:midnight_commander:midnight_commander:4.5.47
cpe:/o:suse:suse_linux:8.0::i386
cpe:/o:suse:suse_linux:9.0SuSE SuSE Linux 9.0
cpe:/o:suse:suse_linux:8.2SuSE SuSE Linux 8.2
cpe:/o:debian:debian_linux:3.0::sparc
cpe:/a:midnight_commander:midnight_commander:4.5.49
cpe:/a:midnight_commander:midnight_commander:4.5.41
cpe:/a:midnight_commander:midnight_commander:4.5.44
cpe:/o:turbolinux:turbolinux_server:8.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1004
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1004
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200504-061
(官方数据源) CNNVD

- 其它链接及资源

http://www.redhat.com/support/errata/RHSA-2005-217.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2005:217
http://secunia.com/advisories/13863/
(VENDOR_ADVISORY)  SECUNIA  13863
http://xforce.iss.net/xforce/xfdb/18902
(VENDOR_ADVISORY)  XF  midnightcommander-format-string(18902)
http://www.gentoo.org/security/en/glsa/glsa-200502-24.xml
(UNKNOWN)  GENTOO  GLSA-200502-24
http://www.debian.org/security/2005/dsa-639
(UNKNOWN)  DEBIAN  DSA-639

- 漏洞信息

Midnight Commander多个格式化字符串漏洞
高危 格式化字符串
2005-04-14 00:00:00 2005-10-20 00:00:00
远程  
        Midnight Commander 是 Unix系统上流行的文件管理工具,类似MS-DOS里的PcTools。
        Midnight Commander (mc) 4.5.55及更早版本存在多个格式化字符串漏洞,远程攻击者可以借此制造未知的影响。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Debian Linux 3.0 s/390
        Debian gmc_4.5.55-1.2woody5_s390.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5 _s390.deb
        Debian mc-common_4.5.55-1.2woody5_s390.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2 woody5_s390.deb
        Debian mc_4.5.55-1.2woody5_s390.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_ s390.deb
        Debian Linux 3.0 alpha
        Debian gmc_4.5.55-1.2woody5_alpha.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5 _alpha.deb
        Debian mc-common_4.5.55-1.2woody5_alpha.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2 woody5_alpha.deb
        Debian mc_4.5.55-1.2woody5_alpha.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_ alpha.deb
        Debian Linux 3.0 mips
        Debian gmc_4.5.55-1.2woody5_mips.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5 _mips.deb
        Debian mc-common_4.5.55-1.2woody5_mips.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2 woody5_mips.deb
        Debian mc_4.5.55-1.2woody5_mips.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_ mips.deb
        Debian Linux 3.0 mipsel
        Debian gmc_4.5.55-1.2woody5_mipsel.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5 _mipsel.deb
        Debian mc-common_4.5.55-1.2woody5_mipsel.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2 woody5_mipsel.deb
        Debian mc_4.5.55-1.2woody5_mipsel.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_ mipsel.deb
        Debian Linux 3.0 m68k
        Debian gmc_4.5.55-1.2woody5_m68k.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5 _m68k.deb
        Debian mc-common_4.5.55-1.2woody5_m68k.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2 woody5_m68k.deb
        Debian mc_4.5.55-1.2woody5_m68k.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_ m68k.deb
        Debian Linux 3.0 hppa
        Debian gmc_4.5.55-1.2woody5_hppa.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5 _hppa.deb
        Debian mc-common_4.5.55-1.2woody5_hppa.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2 woody5_hppa.deb
        Debian mc_4.5.55-1.2woody5_hppa.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_ hppa.deb
        Debian Linux 3.0 arm
        Debian gmc_4.5.55-1.2woody5_arm.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5 _arm.deb
        Debian mc-common_4.5.55-1.2woody5_arm.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2 woody5_arm.deb
        Debian mc_4.5.55-1.2woody5_arm.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_ arm.deb
        Debian Linux 3.0 sparc
        Debian gmc_4.5.55-1.2woody5_sparc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5 _sparc.deb
        Debian mc-common_4.5.55-1.2woody5_sparc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2 woody5_sparc.deb
        Debian mc_4.5.55-1.2woody5_sparc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_ sparc.deb
        Debian Linux 3.0 ia-64
        Debian gmc_4.5.55-1.2woody5_ia64.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5 _ia64.deb
        Debian mc-common_4.5.55-1.2woody5_ia64.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2 woody5_ia64.deb
        Debian mc_4.5.55-1.2woody5_ia64.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_ ia64.deb
        Debian Linux 3.0 ppc
        Debian gmc_4.5.55-1.2woody5_powerpc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5 _powerpc.deb
        Debian mc-common_4.5.55-1.2woody5_powerpc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2 woody5_powerpc.deb
        Debian mc_4.5.55-1.2woody5_powerpc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_ powerpc.deb
        Debian Linux 3.0 ia-32
        Debian gmc_4.5.55-1.2woody5_i386.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5 _i386.deb
        Debian mc-common_4.5.55-1.2woody5_i386.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2 woody5_i386.deb
        Debian mc_4.5.55-1.2woody5_i386.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_ i386.deb
        Midnight Commander Midnight Commander 4.5.54
        TurboLinux mc-4.5.54-7.i586.rpm
        ftp://ftp.turbolinux.co.jp/pub/TurboLinux/TurboLinux/ia32/Server/7/upd ates/RPMS/mc-4.5.54-7.i586.rpm
        TurboLinux mc-4.5.54-7.i586.rpm
        ftp://ftp.turbolinux.co.jp/pub/TurboLinux/TurboLinux/ia32/Server/8/upd ates/RPMS/mc-4.5.54-7.i586.rpm
        TurboLinux mc-4.5.54-7.i586.rpm
        ftp://ftp.turbolinux.co.jp/pub/TurboLinux/TurboLinux/ia32/Workstation/ 7/updates/RPMS/mc-4.5.54-7.i586.rpm
        TurboLinux mc-4.5.54-7.i586.rpm
        ftp://ftp.turbolinux.co.jp/pub/TurboLinux/TurboLinux/ia32/Workstation/ 8/updates/RPMS/mc-4.5.54-7.i586.rpm
        Midnight Commander Midnight Commander 4.5.55
        SuSE mc-4.5.55-762.i586.rpm
        ftp://ftp.suse.com/pub/suse/i386/update/8.1/rpm/i586/mc-4.5.55-762.i58 6.rpm
        Midnight Commander Midnight Commander 4.6
        SuSE mc-4.6.0-324.10.i586.rpm
        ftp://ftp.suse.com/pub/suse/i386/update/9.1/rpm/i586/mc-4.6.0-324.10.i 586.rpm
        SuSE mc-4.6.0-324.10.x86_64.rpm
        ftp://ftp.suse.com/pub/suse/x86_64/update/9.1/rpm/x86_64/mc-4.6.0-324. 10.x86_64.rpm
        SuSE mc-4.6.0-332.2.i586.rpm
        ftp://ftp.suse.com/pub/suse/i386/update/9.2/rpm/i586/mc-4.6.0-332.2.i5 86.rpm
        SuSE mc-4.6.0-332.2.x86_64.rpm
        ftp://ftp.suse.com/pub/suse/x86_64/update/9.2/rpm/x86_64/mc-4.6.0-332. 2.x86_64.rpm
        SuSE mc-4.6.0-336.i586.rpm
        ftp://ftp.suse.com/pub/suse/i386/update/9.0/rpm/i586/mc-4.6.0-336.i586 .rpm
        SuSE mc-4.6.0-336.x86_64.rpm
        ftp://ftp.suse.com/pub/suse/x86_64/update/9.0/rpm/x86_64/mc-4.6.0-336. x86_64.rpm
        

- 漏洞信息 (F35751)

dsa-639.txt (PacketStormID:F35751)
2005-01-16 00:00:00
 
advisory
linux,debian
CVE-2004-1004,CVE-2004-1005,CVE-2004-1009,CVE-2004-1090,CVE-2004-1091,CVE-2004-1092,CVE-2004-1093,CVE-2004-1174,CVE-2004-1175,CVE-2004-1176
[点击下载]

Debian Security Advisory 639-1 - Andrew V. Samoilov has noticed that several bugfixes which were applied to the source by upstream developers of mc, the midnight commander, a file browser and manager, were not backported to the current version of mc that Debian ships in their stable release.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
Debian Security Advisory DSA 639-1                     security@debian.org
http://www.debian.org/security/                             Martin Schulze
January 14th, 2005                      http://www.debian.org/security/faq
- --------------------------------------------------------------------------

Package        : mc
Vulnerability  : several
Problem-Type   : remote
Debian-specific: no
CVE ID         : CAN-2004-1004 CAN-2004-1005 CAN-2004-1009 CAN-2004-1090 CAN-2004-1091 
                 CAN-2004-1092 CAN-2004-1093 CAN-2004-1174 CAN-2004-1175 CAN-2004-1176

Andrew V. Samoilov has noticed that several bugfixes which were
applied to the source by upstream developers of mc, the midnight
commander, a file browser and manager, were not backported to the
current version of mc that Debian ships in their stable release.  The
Common Vulnerabilities and Exposures Project identifies the following
vulnerabilities:

CAN-2004-1004

    Multiple format string vulnerabilities

CAN-2004-1005

    Multiple buffer overflows

CAN-2004-1009

    One infinite loop vulnerability

CAN-2004-1090

    Denial of service via  corrupted section header

CAN-2004-1091

    Denial of service via null dereference

CAN-2004-1092

    Freeing unallocated memory

CAN-2004-1093

    Denial of service via use of already freed memory

CAN-2004-1174

    Denial of service via manipulating non-existing file handles

CAN-2004-1175

    Unintended program execution via insecure filename quoting

CAN-2004-1176

    Denial of service via a buffer underflow

For the stable distribution (woody) these problems have been fixed in
version 4.5.55-1.2woody5

For the unstable distribution (sid) these problems should already be
fixed since they were backported from current versions.

We recommend that you upgrade your mc package.


Upgrade Instructions
- --------------------

wget url
        will fetch the file for you
dpkg -i file.deb
        will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
        will update the internal database
apt-get upgrade
        will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.


Debian GNU/Linux 3.0 alias woody
- --------------------------------

  Source archives:

    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5.dsc
      Size/MD5 checksum:      798 09408d39e539898d3384293454b806a8
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5.diff.gz
      Size/MD5 checksum:    51884 64d27d64149013cbbfcbe0d568f872af
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55.orig.tar.gz
      Size/MD5 checksum:  4850321 82772e729bb2ecfe486a6c219ebab09f

  Alpha architecture:

    http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5_alpha.deb
      Size/MD5 checksum:  1186490 28bce9bd85c73413c4e610a83f6c80dd
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_alpha.deb
      Size/MD5 checksum:   562942 519466cca7aa730a64c5ff629fe64112
    http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2woody5_alpha.deb
      Size/MD5 checksum:  1351654 7b7e2ee396427d08f38bb2610533fb25

  ARM architecture:

    http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5_arm.deb
      Size/MD5 checksum:  1028206 7bc8143ab26f4c42ef99de8f86d30604
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_arm.deb
      Size/MD5 checksum:   480562 94e93aaa4a2dccb4b3acde553091fce7
    http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2woody5_arm.deb
      Size/MD5 checksum:  1351824 cd5a6b905f11fd1661a16e790bf1f588

  Intel IA-32 architecture:

    http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5_i386.deb
      Size/MD5 checksum:   994986 0c53de4cf192308977e39bb4a7216314
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_i386.deb
      Size/MD5 checksum:   455878 7a09ac156183bc9cee032d674e21587c
    http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2woody5_i386.deb
      Size/MD5 checksum:  1351766 fe4f6d051f36930a1533ac7239d5759f

  Intel IA-64 architecture:

    http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5_ia64.deb
      Size/MD5 checksum:  1435394 06eb2692e366aa35d3aa39f2903253a7
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_ia64.deb
      Size/MD5 checksum:   689186 df58ef7f32905a5c4ade98dab6013ef0
    http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2woody5_ia64.deb
      Size/MD5 checksum:  1351652 6530011245a834c8df64a972855b3995

  HP Precision architecture:

    http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5_hppa.deb
      Size/MD5 checksum:  1144490 2d28d59dacd0d57ade92139783897a52
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_hppa.deb
      Size/MD5 checksum:   541214 cae4c0accc681cb6d74bebcd38424657
    http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2woody5_hppa.deb
      Size/MD5 checksum:  1352116 9b18a11f41ad50f53787129cbb70ee45

  Motorola 680x0 architecture:

    http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5_m68k.deb
      Size/MD5 checksum:   957852 622795322c8d3ccb1f844ca4e80fbc07
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_m68k.deb
      Size/MD5 checksum:   436992 28fe37f13b19930168d06a6092e4295e
    http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2woody5_m68k.deb
      Size/MD5 checksum:  1352176 83bdc91613abb383a2ba65e39b86ec17

  Big endian MIPS architecture:

    http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5_mips.deb
      Size/MD5 checksum:  1087044 ca4c17d34d697187723ed33915949171
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_mips.deb
      Size/MD5 checksum:   536772 f797b059e1baf558a147296545ab308c
    http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2woody5_mips.deb
      Size/MD5 checksum:  1352072 de11cf9737a1835a78db10a9f9e01677

  Little endian MIPS architecture:

    http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5_mipsel.deb
      Size/MD5 checksum:  1081206 15555616a4587281d589d6c4d75fff4d
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_mipsel.deb
      Size/MD5 checksum:   535634 44ba98ca679814dca5414955ade5477c
    http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2woody5_mipsel.deb
      Size/MD5 checksum:  1351830 d4dd86b51fd4f80034323d8fb7fed93e

  PowerPC architecture:

    http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5_powerpc.deb
      Size/MD5 checksum:  1043048 fa3c76890db2a3eb8910630dda4e2ee1
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_powerpc.deb
      Size/MD5 checksum:   490084 f9a035d0cabd0b5a2208a83ccdb262d3
    http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2woody5_powerpc.deb
      Size/MD5 checksum:  1352100 07c82e678f74390eb7be89ca324faaad

  IBM S/390 architecture:

    http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5_s390.deb
      Size/MD5 checksum:  1029952 d114807d61819ad87a705d9c145e4e69
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_s390.deb
      Size/MD5 checksum:   479508 b9ce19425fb67653ca449f13a564c5b6
    http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2woody5_s390.deb
      Size/MD5 checksum:  1352022 66290d632d0aeefd2758a9b09c41bd00

  Sun Sparc architecture:

    http://security.debian.org/pool/updates/main/m/mc/gmc_4.5.55-1.2woody5_sparc.deb
      Size/MD5 checksum:  1029094 189ad1f55bee5b1f45f8286830c59413
    http://security.debian.org/pool/updates/main/m/mc/mc_4.5.55-1.2woody5_sparc.deb
      Size/MD5 checksum:   483478 f693c3a851ff549e7ea1e64dc993f776
    http://security.debian.org/pool/updates/main/m/mc/mc-common_4.5.55-1.2woody5_sparc.deb
      Size/MD5 checksum:  1352114 e26e3f182414e28488950d059bfeee61


  These files will probably be moved into the stable distribution on
  its next update.

- ---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@lists.debian.org
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<pkg>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFB55zrW5ql+IAeqTIRAhPuAJ9POWu791C+QxxlBkpRYnUUyopcJQCeJNRL
Srs4O/oBMdZ7mqo8XvoVIbU=
=xz+R
-----END PGP SIGNATURE-----

    

- 漏洞信息

12902
Midnight Commander Multiple Unspecified Format Strings
Local Access Required, Local / Remote, Context Dependent Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

Midnight Commander contains multiple format strings that may allow an attacker to execute arbitrary code. No further details have been provided.

- 时间线

2005-01-14 Unknow
Unknow Unknow

- 解决方案

Debian has issued an update. Upgrade to version mc_4.5.55-1.2woody5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Midnight Commander Multiple Unspecified Vulnerabilities
Unknown 12263
No No
2005-01-14 12:00:00 2009-07-12 09:27:00
Discovery is credited to Andrew V. Samoilov.

- 受影响的程序版本

Turbolinux Turbolinux Workstation 8.0
Turbolinux Turbolinux Workstation 7.0
Turbolinux Turbolinux Server 8.0
Turbolinux Turbolinux Server 7.0
S.u.S.E. Linux Personal 9.2
S.u.S.E. Linux Personal 9.1
S.u.S.E. Linux Personal 9.0 x86_64
S.u.S.E. Linux Personal 9.0
S.u.S.E. Linux Personal 8.2
S.u.S.E. Linux 8.1
S.u.S.E. Linux 8.0 i386
S.u.S.E. Linux 8.0
RedHat Enterprise Linux WS 2.1 IA64
RedHat Enterprise Linux WS 2.1
RedHat Enterprise Linux ES 2.1 IA64
RedHat Enterprise Linux ES 2.1
RedHat Advanced Workstation for the Itanium Processor 2.1 IA64
RedHat Advanced Workstation for the Itanium Processor 2.1
Red Hat Enterprise Linux AS 2.1 IA64
Red Hat Enterprise Linux AS 2.1
Midnight Commander Midnight Commander 4.6
+ OpenPKG OpenPKG 2.0
+ OpenPKG OpenPKG 1.3
+ OpenPKG OpenPKG Current
+ Red Hat Enterprise Linux AS 3
+ Red Hat Enterprise Linux AS 2.1 IA64
+ Red Hat Enterprise Linux AS 2.1
+ Red Hat Fedora Core1
+ RedHat Enterprise Linux ES 3
+ RedHat Enterprise Linux ES 2.1 IA64
+ RedHat Enterprise Linux ES 2.1
+ RedHat Enterprise Linux WS 3
+ RedHat Enterprise Linux WS 2.1 IA64
+ RedHat Enterprise Linux WS 2.1
+ RedHat Linux 9.0 i386
+ S.u.S.E. Linux Personal 9.0
+ S.u.S.E. Linux Personal 8.2
Midnight Commander Midnight Commander 4.5.55
+ Conectiva Linux 9.0
+ Conectiva Linux 8.0
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
+ Mandriva Linux Mandrake 9.2 amd64
+ Mandriva Linux Mandrake 9.2
+ Mandriva Linux Mandrake 9.1 ppc
+ Mandriva Linux Mandrake 9.1
+ Mandriva Linux Mandrake 9.0
+ S.u.S.E. Linux 8.1
+ S.u.S.E. Linux 8.0
Midnight Commander Midnight Commander 4.5.54
+ Turbolinux Turbolinux Server 8.0
+ Turbolinux Turbolinux Server 7.0
+ Turbolinux Turbolinux Workstation 8.0
+ Turbolinux Turbolinux Workstation 7.0
Midnight Commander Midnight Commander 4.5.52
Midnight Commander Midnight Commander 4.5.51
+ SCO OpenLinux Server 3.1.1
+ SCO OpenLinux Workstation 3.1.1
Midnight Commander Midnight Commander 4.5.50
Midnight Commander Midnight Commander 4.5.49
Midnight Commander Midnight Commander 4.5.48
Midnight Commander Midnight Commander 4.5.47
Midnight Commander Midnight Commander 4.5.46
Midnight Commander Midnight Commander 4.5.45
Midnight Commander Midnight Commander 4.5.44
Midnight Commander Midnight Commander 4.5.43
Midnight Commander Midnight Commander 4.5.42
Midnight Commander Midnight Commander 4.5.41
Midnight Commander Midnight Commander 4.5.40
Gentoo Linux
Debian Linux 3.0 sparc
Debian Linux 3.0 s/390
Debian Linux 3.0 ppc
Debian Linux 3.0 mipsel
Debian Linux 3.0 mips
Debian Linux 3.0 m68k
Debian Linux 3.0 ia-64
Debian Linux 3.0 ia-32
Debian Linux 3.0 hppa
Debian Linux 3.0 arm
Debian Linux 3.0 alpha
Debian Linux 3.0

- 漏洞讨论

It has been reported that Midnight Commander is prone to multiple, unspecified vulnerabilities. These issues are due to various design and boundary condition errors.

These issues could be leveraged by an attacker to execute arbitrary code on an affected system, which may facilitate unauthorized access. It is also possible for an attacker to carry out symbolic link attacks against an affected system, potentially facilitating a system wide denial of service.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

Red Hat has released advisory RHSA-2005:512-08 and fixes to address this issue on Red Hat Linux Enterprise platforms. Customers who are affected by this issue are advised to apply the appropriate updates. Customers subscribed to the Red Hat Network may apply the appropriate fixes using the Red Hat Update Agent (up2date). Please see referenced advisory for additional information.

Turbolinux has released a security announcement (TLSA- 24022005) and fixes to address these vulnerabilities. Customers are advised to peruse the referenced advisory for further information regarding obtaining and applying appropriate updates.

Gentoo has released an advisory (GLSA 200502-24) and an updated eBuild to address these issues. This update can be installed by issuing the following sequence of commands as a superuser:
emerge --sync
emerge --ask --oneshot --verbose ">=app-misc/mc-4.6.0-r13"

Debian has released advisory DSA 639-1 dealing with these issues. Please see the referenced advisory for more information.

SuSE Linux has released a security summary report (SUSE-SR:2005:003) that contains fixes to address this and other vulnerabilities. Customers are advised to peruse the referenced advisory for further information regarding obtaining and applying appropriate updates.

RedHat Linux has released advisory RHSA-2005:217-10 to address these issues for RedHat Enterprise Linux operating systems. Please see the referenced advisory for further information.


Debian Linux 3.0 s/390

Debian Linux 3.0 alpha

Debian Linux 3.0 mips

Debian Linux 3.0 mipsel

Debian Linux 3.0 m68k

Debian Linux 3.0 hppa

Debian Linux 3.0 arm

Debian Linux 3.0 sparc

Debian Linux 3.0 ia-64

Debian Linux 3.0 ppc

Debian Linux 3.0 ia-32

Midnight Commander Midnight Commander 4.5.54

Midnight Commander Midnight Commander 4.5.55

Midnight Commander Midnight Commander 4.6

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站